Bug 191115 - [maintainer][PATCH] sysutils/3dm: update to 2.11.00.021,1
Summary: [maintainer][PATCH] sysutils/3dm: update to 2.11.00.021,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 03:18 UTC by takefu
Modified: 2014-08-27 20:51 UTC (History)
2 users (show)

See Also:


Attachments
Add patch file (3.88 KB, text/x-c)
2014-06-17 03:22 UTC, takefu
no flags Details
3dm.patch (7.30 KB, patch)
2014-07-30 03:48 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2014-06-17 03:18:06 UTC

    
Comment 1 takefu 2014-06-17 03:22:45 UTC
Created attachment 143859 [details]
Add patch file
Comment 2 takefu 2014-07-07 07:41:52 UTC
update 2.11.00.021

Bug #189641
Comment 3 Carlo Strub freebsd_committer 2014-07-29 20:06:41 UTC
Please run portlint on your updated port. It seems you are installing stuff into /etc which is strongly discouraged.
Comment 4 takefu 2014-07-30 03:48:41 UTC
Created attachment 145138 [details]
3dm.patch
Comment 5 John Marino freebsd_committer 2014-07-30 07:41:03 UTC
Let's try again...
Comment 6 commit-hook freebsd_committer 2014-08-07 13:18:30 UTC
A commit references this bug:

Author: marino
Date: Thu Aug  7 13:17:32 UTC 2014
New revision: 364270
URL: http://svnweb.freebsd.org/changeset/ports/364270

Log:
  sysutils/3dm: Upgrade version 2.11.00.019 => 2.11.00.021

  PR:		191115
  Submitted by:	maintainer: takefu (airport.fm)

Changes:
  head/sysutils/3dm/Makefile
  head/sysutils/3dm/distinfo
  head/sysutils/3dm/files/3dm2.conf.sample
  head/sysutils/3dm/files/3dm2.conf.sample.in
  head/sysutils/3dm/files/pkg-message.in
  head/sysutils/3dm/pkg-install
  head/sysutils/3dm/pkg-plist
Comment 7 John Marino freebsd_committer 2014-08-07 13:20:13 UTC
I changed "tar zxf" to "tar -xzf" (3 times) and there were 3 separate MKDIR commands so I combined 2 of them (normally I combine all into a single command, but I left the 3rd one alone this time)

It passed stage-qa cleanly, thanks!
Comment 8 Matthias Andree freebsd_committer 2014-08-27 20:50:26 UTC
Note this introduced a severe bug as the @mode u+r does not work as expected, neither on pre-pkg systems where files end up with mode 0555, nor is it reliably with pkg (where it's starting from mode 0).
Comment 9 commit-hook freebsd_committer 2014-08-27 20:51:45 UTC
A commit references this bug:

Author: mandree
Date: Wed Aug 27 20:51:27 UTC 2014
New revision: 366353
URL: http://svnweb.freebsd.org/changeset/ports/366353

Log:
  Fix up @mode line to use 0400.

  PR: 191115
  Approved by: portmgr (bapt)

Changes:
  head/sysutils/3dm/pkg-plist